Subject: bug#20015: 25.0.50; Slow Emacs startup after recent TRAMP changes

From: Michael Albinus <[email-masked]>
Date: Mon, 09 Mar 2015 22:11:13 +0100

Stefan Monnier <[email-masked]> writes:

>> only 3 times, and it is called only when you open a remote file
>> (tramp.el is loaded).
>
> Loading tramp.el does not guarantee we want to open a remote file (it
> could be a local file via /su: for example).

Yes. In Emacs 25, I intend to delay evaluation of the code until it is
really needed. (As usual, it will take some days; I'm too busy in real life).

>> I would like to avoid these calls completely, if somebody could tell me
>> a robust test for knowing which kind of ControlMaster, ControlPath and
>> ControlPersist options are supported by the local ssh stanza. And no, I
>> don't want to check the ssh version; this isn't robust.
>
> I like using "" for tramp-ssh-controlmaster-options, FWIW ;-)
>
> FWIW, I find that for OpenSSH on Debian, "ssh -o
> <optionname>=<optiovalue>" never waits and gives different outputs
> ("command-line: line 0: Bad configuration option: <optionname>",
> "command-line line 0: unsupported option <optionvalue>", or the help
> text).  Not sure if it's robust for other systems and other versions of ssh.

That's what I do when checking ControlMaster and ControlPersist. But the
check for ControlPath=%C requires also a hostname, unfortunately.

>         Stefan

Best regards, Michael.